Skip to main content

Revoke Required Actions

Using this API, users required actions can be revoked. The actions can be performed even when the user is locked or disabled.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

DELETE https://{tenantId}.{hostname}/digitanium/v4/users/{userName}/requiredaction

HTTP request URL for SHIFT​

DELETE https://{hostname}/auth/realms/{tenantId}/v3_user/{userName}/requiredaction
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body ( Required)​

Field NameTypeDescription
RequiredAction (Required)ListConfigure the list of required actions ID. required actions ID are taken from Providers tab under server info.

Sample Request​

{
"requiredActions": ["UPDATE_PASSWORD"]
}

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{
"message": "User required actions revoked successfully",
"status": "OK",
"subSystem": 5
}

Response Status Information​

Status CodeStatusMessage
200OKUser required actions revoked successfully
400BAD_REQUESTUserId should not be null or empty
401UnauthorizedHTTP 401 Unauthorized
404USER_NOT_FOUNDUser does not exist